<h1>Výběr produktů pro evidenci</h1>
<div class="search-holder">
    <div class="search-holder-text bg-lightgreen noborder-style" style='height: 51px'>
        <div class="padding15">
            <form method='post' action='/admin/inventory/select/' style='float: left'>
                <label></label>
                <select name="category_id">
                    <option VALUE='all' <?= ($this->category_id == 'all') ? "SELECTED" : "" ?>>Vše</option>
                    <?php
                    foreach ($this->categories as $rowArray) {
                        $selected = ($this->category_id == $rowArray['category_id']) ? "SELECTED" : "";
                        echo "<option value='" . $rowArray['category_id'] . "' $selected>" . $rowArray['title_cz'] . "</option>";
                    }
                    ?>
                    <option VALUE='unsorted' <?= ($this->category_id == 'unsorted') ? "SELECTED" : "" ?>>Nezařazené předměty</option>
                </select>
                <input type='submit' value='Vybrat produkty této kategorie'>
            </form>
        </div>
    </div>
</div>
<?php include 'page.phtml';?>
<div class="search-holder">
    <div class='legend-holder'>
        <div class='legend-color-holder light'>&nbsp;</div>prodáván&nbsp;
    </div>
    <div class='legend-holder'>
        <div class='legend-color-holder blue'>&nbsp;</div>vystaven (nelze dát do košíku)&nbsp;
    </div>
    <div class='legend-holder'>
        <div class='legend-color-holder red'>&nbsp;</div>nezobrazuje se&nbsp;
    </div>
</div>
<div class="clear"></div>
<form method='post' action='/admin/inventory/edit/'>
<table class="admintable">
    <thead>
    <td style="width: 24px;">
        <a href='<?= $this->url() . "?order=product_id" ?>'>
            <div class="full active"><?= ($this->order == 'product_id') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>id</div>
        </a>
    </td>
    <td>
        
    </td>
    <td>
        <a href='<?= $this->url() . "?order=title" ?>'>
            <div class="full active"><?= ($this->order == 'title') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>název zboží</div>
        </a>
    </td>
    <td>
        text ke zboží
    </td>
    <td style="width: 40px;">
        <a href='<?= $this->url() . "?order=price_cz" ?>'>
            <div class="full active"><?= ($this->order == 'price_cz') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>kč</div>
        </a>
    </td>
    <td style="width: 40px;">
        <a href='<?= $this->url() . "?order=price_de" ?>'>
            <div class="full active"><?= ($this->order == 'price_de') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>eur</div>
        </a>
    </td>
</thead>
<tbody>    
    <?php
    $i = 1;
    if (!empty($this->products)) {
        $color = 'dark';
        $index = $this->page - 1;
        foreach ($this->products[$index] as $value) {
            if ($value['status'] == '2') {
                $color = 'blue';
            } else if ($value['status'] == '0') {
                $color = 'red';                
            } else if (($value['status'] == '1') and ($color == 'dark')) {
                $color = 'light';
            } else if (($value['status'] == '1') and ($color == 'light')) {
                $color = 'dark';
            } else {
                $color = 'light';
            }
            echo "<tr>";
            echo "<td class='$color'>";
            echo $value['product_id'];
            echo "</td>";            
            echo "<td class='$color'><input type='checkbox' name='$i' value='" . $value['product_id'] . "'></td>";            
            echo "<td class='$color' style='width: 100px'>";
            echo "<a href='/admin/products/view/?product_id=" . $value['product_id'] . "' style='text-decoration: underline;'>" . $value['title'] . "</a>";
            echo "</td>";
            echo "<td class='$color' smalltext'>";
            echo strip_tags($value['text']);
            echo "</td>";
            echo "<td class='$color'>";
            echo $value['price_cz'];
            echo "</td>";
            echo "<td class='$color'>";
            echo $value['price_de'];
            echo "</td>";
            $i++;
        }
    }
    ?>    
</tbody>
</table>    
<?php include 'page.phtml';?>
    <input type="submit" value="Pokračovat" class="floatright button active border-style">
</form>
<div class="clear"></div>